package io.geekidea.springbootplus.framework.shiro.signature;

/**
 *
 * @Author luozh
 * @Date 2022年04月15日 19:21
 * @Version 1.0
 */
public interface Application {

    /**
     * 获取id
     * @return
     */
    Long getId();

    /**
     * 获取appKey
     * @return
     */
    String getAppKey();

    /**
     * 获取AppSecret
     * @return
     */
    String getAppSecret();

    /**
     * 客户端是否有效
     * @return
     */
    Boolean isActive();
}
